SnozeDevelopers
API referenceDatabases

Delete a comment on a record

Removes one comment from the record. An author may always delete their own comment; deleting someone else's additionally requires the `records:write` permission. Responds with not-found for a comment that is not on this record.

DELETE
/v1/workspaces/{workspaceId}/databases/{databaseId}/records/{recordId}/comments/{commentId}

Authorization

apiKey
headerAuthorizationBearer <snoze_sk_…>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

Path Parameters

workspaceId*string
databaseId*string
recordId*string
commentId*string

Response Body

Success

application/json
  1. response
data*
Example Request
curl -X DELETE 'https://api.snoze.dev/v1/workspaces/string/databases/string/records/string/comments/string'
Example Response
{  "data": {    "id": "string"  }}